Class | Exception
In: | lib/json/add/exception.rb
Parent: | Object

Exception serialization/deserialization

### Methods

as_json json_create to_json

### Public Class methods

json_create(object)

Deserializes JSON string by constructing new Exception object with message `m` and backtrace `b` serialized with `to_json`

### Public Instance methods

as_json(*)

Returns a hash, that will be turned into a JSON object and represent this object.

to_json(*args)

Stores class name (Exception) with message `m` and backtrace array `b` as JSON string

[Validate]